package bcmwl-kernel-source 5.60.48.36 bdcom-0ubuntu5 failed to install/upgrade: bcmwl kernel module failed to build if "patch" is missing

Bug #653899 reported by bovidae on 2010-10-03
198
This bug affects 14 people
Affects Status Importance Assigned to Milestone
dkms (Ubuntu)
Medium
Michael Vogt
Lucid
Undecided
Unassigned
Maverick
Medium
Michael Vogt

Bug Description

Richte bcmwl-kernel-source ein (5.60.48.36+bdcom-0ubuntu5) ...
Loading new bcmwl-5.60.48.36+bdcom DKMS files...
First Installation: checking all kernels...
Building only for 2.6.35-22-generic
Building for architecture i686
Building initial module for 2.6.35-22-generic
/usr/sbin/dkms: Zeile 35: patch: Kommando nicht gefunden.

Error! Application of patch 0001-MODULE_LICENSE.patch failed.
Check /var/lib/dkms/bcmwl/5.60.48.36+bdcom/build/ for more information.
dpkg: Fehler beim Bearbeiten von bcmwl-kernel-source (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 6 zurück

TEST CASE:
1. Ensure that dkms and patch are not installed on the system
2. Install dkms without the recommends
  $ apt-get install --no-install-recommends dkms
3. After installation verify that patch is installed

ProblemType: Package
DistroRelease: Ubuntu 10.10
Package: bcmwl-kernel-source 5.60.48.36+bdcom-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic i686
Architecture: i386
Date: Sun Oct 3 06:46:12 2010
ErrorMessage: bcmwl kernel module failed to build
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release Candidate i386 (20100928)
PackageVersion: 5.60.48.36+bdcom-0ubuntu5
SourcePackage: bcmwl
Title: package bcmwl-kernel-source 5.60.48.36+bdcom-0ubuntu5 failed to install/upgrade: bcmwl kernel module failed to build

bovidae (lauenstein) wrote :
Michael Vogt (mvo) on 2010-10-06
Changed in bcmwl (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
summary: package bcmwl-kernel-source 5.60.48.36 bdcom-0ubuntu5 failed to
- install/upgrade: bcmwl kernel module failed to build
+ install/upgrade: bcmwl kernel module failed to build if "patch" is
+ missing
affects: bcmwl (Ubuntu) → dkms (Ubuntu)
Michael Vogt (mvo) on 2010-10-06
Changed in dkms (Ubuntu Maverick):
status: Confirmed → Fix Committed
milestone: none → ubuntu-10.10
Steve Langasek (vorlon) on 2010-10-08
Changed in dkms (Ubuntu Maverick):
assignee: nobody → Michael Vogt (mvo)
milestone: ubuntu-10.10 → maverick-updates
Steve Langasek (vorlon) wrote :

Michael,

This didn't get accepted into the archive before the ISO mastering, so it's now a little late to accept for maverick final since that would require respins of many of the images. I've retargeted this for maverick-updates, which seems reasonable to me given that it's marked as importance: medium. If you disagree, please escalate ASAP to the release manager.

Accepted dkms into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Martin Pitt (pitti) wrote :

This merely changes dependencies, so verification should just confirm that the new dkms package is still able to build modules (for wl, nvidia, or something else).

Martin Pitt (pitti) wrote :

Accepted dkms into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Jean-Baptiste Lallement (jibel) wrote :

SRU verification for Maverick:
I have reproduced the problem with dkms 2.1.1.2-3ubuntu1 in maverick and have verified that the version of dkms 2.1.1.2-3ubuntu1.1 in -proposed fixes the issue.

Marking as verification-done

description: updated
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dkms - 2.1.1.2-3ubuntu1.1

---------------
dkms (2.1.1.2-3ubuntu1.1) maverick-proposed; urgency=low

  * debian/control:
    - depend on patch instead of recommending it, if its missing
      the "patches" feature of dkms will no longer work and that
      will cause build failures (LP: #653899)
 -- Michael Vogt <email address hidden> Mon, 11 Oct 2010 09:27:28 +0200

Changed in dkms (Ubuntu Maverick):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Copied to natty.

Changed in dkms (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Accepted dkms into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dkms - 2.1.1.2-2ubuntu1

---------------
dkms (2.1.1.2-2ubuntu1) lucid-proposed; urgency=low

  [ Alberto Milone ]
  * debian/patches/improve-the-logic-behind-kernels-detection.patch:
    - Before using the current kernel we need to make sure that this
      kernel doesn't belong to the host of a chroot and we should
      also be more careful when adding kernels to the candidates
      list (LP: #602408).

  [ Michael Vogt ]
  * debian/control:
    - depend on patch instead of recommending it, if its missing
      the "patches" feature of dkms will no longer work and that
      will cause build failures (LP: #653899).
 -- Alberto Milone <email address hidden> Wed, 08 Jun 2011 17:42:24 +0200

Changed in dkms (Ubuntu Lucid):
status: New → Fix Released
tags: added: testcase
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers